package de.intevation.flys.artifacts.model.map;


public class StaticHWSCacheKey
{
    public static final String CACHE_NAME = "hws-value-table-static";

    private String river;
    private int type;

    public StaticHWSCacheKey(String river, int type) {
        this.river = river;
        this.type = type;
    }

    public int hashCode() {
        return river.hashCode() | (type << 8);
    }

    public boolean equals(Object other) {
        if (!(other instanceof StaticHWSCacheKey)) {
            return false;
        }
        StaticHWSCacheKey o = (StaticHWSCacheKey) other;
        return this.river == o.river;
    }
}
